function coordenadas_comprimidas=compress(coordenadas_orig)

% Starts coordinate compression for EM

unique_x=unique(coordenadas_orig(:,1)); %Unique values ??of "x" coordinates ordered from least to greatest
unique_y=unique(coordenadas_orig(:,2)); %Unique values of "y" coordinates ordered from least to greatest

coordenadas_comprimidas=[];

for i=1:length(coordenadas_orig(:,1))
    co_x=coordenadas_orig(i,1);
    co_y=coordenadas_orig(i,2);
    ind_x=find(unique_x==co_x);
    ind_y=find(unique_y==co_y);
    coordenadas_comprimidas(i,1)=ind_x;
    coordenadas_comprimidas(i,2)=ind_y;
end
