function [xmin,ymin,xmax,ymax,d_media,d_desv,min_dist,max_dist]=statistics(coordenadas)

xmin=min(coordenadas(:,1));
xmax=max(coordenadas(:,1));
ymin=min(coordenadas(:,2));
ymax=max(coordenadas(:,2));

n=0;
s=0;
min_dist=Inf;
max_dist=0;

for i=1:length(coordenadas(:,1))
   punto1=coordenadas(i,:);
   for j=i+1:length(coordenadas(:,1))
      punto2=coordenadas(j,:);
      d=sqrt((punto2(1)-punto1(1))^2+(punto2(2)-punto1(2))^2);
      if d < min_dist
          min_dist=d;
      end
      if d > max_dist
          max_dist=d;
      end
      s=s+d;
      n=n+1;
   end
end

d_media=s/n;

err=0;
for i=1:length(coordenadas(:,1))
   punto1=coordenadas(i,:);
   for j=i+1:length(coordenadas(:,1))
      punto2=coordenadas(j,:);
      err=err+(d_media-sqrt((punto2(1)-punto1(1))^2+(punto2(2)-punto1(2))^2))^2;
   end
end

d_desv=sqrt(err/n);
