function [asignaciones_nuevas,demandas_acumuladas]=funcapacity2(capacidad,centroides,asignaciones_best,coordenadas_originales,demandas)
pmedianas=length(centroides(:,1));
vector_asignar=1:length(asignaciones_best);
asignaciones_nuevas=[];
asignaciones_nuevas=zeros(1,length(asignaciones_best));
centroides_capacidades=[];
for i=1:length(centroides(:,1))
    centroides_capacidades(i)=capacidad;
end
while length(vector_asignar)>0
    matriz_cercanias=[];
    matriz_cercanias=zeros(pmedianas,length(vector_asignar));   
    %calculates distance between each centroid and all the remaining points in "vector_asignar" which stores the point number in its cells
    for i=1:length(matriz_cercanias(:,1))
        for j=1:length(matriz_cercanias(1,:))
            matriz_cercanias(i,j)=sqrt( (centroides(i,1)-coordenadas_originales(vector_asignar(j),1))^2 + (centroides(i,2)-coordenadas_originales(vector_asignar(j),2))^2);
        end
    end
    a=min(min(matriz_cercanias)); %find the smallest distance between all points and centroids
    % now it is necessary to find the coordinates (row, column) of the cells where the smallest distances are
    celdas=[];
    celdas=find(matriz_cercanias<=2*a); %this will give the location in element number
    elige_metodo=round(unifrnd(0,1));
    if elige_metodo==1
        k=1;
    else
        k=ceil(unifrnd(0,length(celdas))); %can be chosen randomly if it has the same minimum distance value as another point
    end
    [fila,columna]=ind2sub(size(matriz_cercanias),celdas(k));
    % every time I have identified the value I make the assignment (if it
    % complies with capacity) and remove it from "vector_asignar"
    punto=vector_asignar(columna);
    cluster=fila;
    % Located the cluster and point, I am going to check if this point can fit in all cluster with available capacity
    opciones_dist=[];
    opciones_dist=zeros(1,pmedianas);
    for l=1:pmedianas
        if centroides_capacidades(l)-demandas(punto)>=0
            opciones_dist(l)= sqrt((centroides(l,1)-coordenadas_originales(punto,1))^2+(centroides(l,2)-coordenadas_originales(punto,2))^2);
        else
            opciones_dist(l)=Inf;
        end
    end
    a=min(opciones_dist);
    mejor_opcion=find(opciones_dist==a);
    if length(mejor_opcion)>0
        selecciona=ceil(unifrnd(0,length(mejor_opcion)));
    else
        selecciona=1;
    end
    centroides_capacidades(mejor_opcion(selecciona))=centroides_capacidades(mejor_opcion(selecciona))-demandas(punto);
    asignaciones_nuevas(punto)=mejor_opcion(selecciona);
    vector_asignar(columna)=[];
end

% Recalculation of accumulated demands with new assignments

demandas_acumuladas=[];
demandas_acumuladas=zeros(1,pmedianas);
for i=1:length(asignaciones_nuevas)
    planta=asignaciones_nuevas(i);
    demandas_acumuladas(planta)=demandas_acumuladas(planta)+demandas(i);
end
